@import "./imports/files/menu/menu.css";
@import "./imports/files/css/footer.css";

@font-face{
    font-family: 'Gotham';
    src: url('imports/font/Gotham-Narrow-Book.otf') format('opentype');
}

*{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    scroll-margin-top: 12vh;
}
body{
    width: 100vw;
    padding: 0;
    margin: 0;
    overflow-x: hidden;
    font-family: 'Gotham', serif;
}

a{
    text-decoration: none;
    color: black;
}
a > span.material-symbols-outlined{
    font-size: 1em !important;
    vertical-align: middle;
}
p{
    text-align: justify;
    line-height: 1.6em;
}
a:hover{
    color: #715e23;
}

.bg-gold{
    background-color: #C2A03D;
}
.material-symbols-outlined{
    display: initial;
}
.content{
    min-height: 72vh;
    margin: max(12vh, 100px) auto max(12vh, 100px) auto;
    max-width: 3000px;
}
.content:not(.index){
    padding: 2vh 8% 8% 8%;
}
.content:not(.index) ul{
    margin-left: 1em;
}
.content:not(.index) ul li {
    list-style: none;
    padding-left: 1em;
    margin: 0.5em 0;
}
.content:not(.index) ul li span {
    display: inline-block;
    color: #C2A03D;
    margin-right: 7px;
    margin-left: -30px;
    padding-right: 5px;
    line-height: 10px;
    font-size: 1em;
    vertical-align: middle;
}
.section{
    text-align: justify;
    font-weight: lighter;
}
.section p{
    margin: 2vh 0;
    line-height: 1.5;
    color: #252525;
}

.button{
    color: black;
    font-weight: bold;
    text-align: center;
    cursor: pointer;
    outline: none;
    border: none;
    padding: 1% 4%;
    background-color: #C2A03D;
}
/*my classes*/
.flex{
    display: flex;
}
.flex-column{
    flex-direction: column;
}
.flex-center{
    align-items: center;
    justify-content: center;
}
.text-red{
    color: red !important;
}
.text-center{
    text-align: center;
}
.text-bold{
    font-weight: bold;
}
.text-underline{
    text-decoration: underline;
}
.text-fixed{
    white-space: nowrap;
}
/*components*/

/* HEADING */
.heading {
    color: black;
    margin: 0 0.5vw 0 0 !important;
    user-select: none;
    font-size: 1.5em;
    font-weight: bold;
}
.heading-center {
    justify-content: center;
}
.heading-wrap {
    text-align: left;
    margin: 2vh 1vw 2vh 0;
    width: 100%;
}
.heading-wrap img{
    margin-top: 0.2%;
}
.heading-wrap img,
.heading-wrap h1,
.heading-wrap h2,
.heading-wrap h3,
.heading-wrap h4,
.heading-wrap h5,
.heading-wrap h6 {
    display: inline-flex;
    vertical-align: middle;
}
.heading-wrap h1,
.heading-wrap h2,
.heading-wrap h3,
.heading-wrap h4,
.heading-wrap h5,
.heading-wrap h6 {
    margin: 0 auto;
}
.heading-wrap h1{
    font-size: 1.8em;
}
.heading-wrap h2{
    font-size: 1.5em;
}
.heading-wrap h3{
    font-size: 1.2em;
}

/* FORM */
.form-group{
    margin-bottom: 3%;
}
.form-group label {
    display: block;
    margin-bottom: 1%;
}
.form-group input[type="text"],
.form-group input[type="email"],
.form-group input[type="tel"],
.form-group input[type="number"],
.form-group select,
.form-group textarea {
    width: 100%;
    padding: 8px;
    border: none;
    border-bottom: 2px solid #a2a2a2;
    border-radius: 0;
    outline: none;
    background-color: transparent;
    appearance: none;
}
.form-group input[type="checkbox"] {
    margin-right: 1vw;

}
.form-group input[type="file"] {

}
.form-group textarea {
    height: 100px;
}
.form-group span {
    color: grey;
    font-size: 0.8em;
    display: block;
}
.form-group.file input[type="file"] {
    display: none;
}
.form-group > button, .form-group.file label {
    width: 100%;
    padding: 10px 20px;
    text-align: center;
    margin-bottom: 0 !important;
    margin-top: 2vh;
    border: none;
    cursor: pointer;
    background-color: #C2A03D;
}

/*contact form*/

.form-content > img{
    max-width: 50%;
    object-fit: contain;
}
.form  form{
    margin-top: 3vh;
    width: 100%;
}
.form .form-group {
    width: 80%;
    margin-bottom: 20px;
}


@media screen and (min-width: 2000px) {
    .form-content img{
        max-width: 30%;
    }
}
@media screen and (max-width: 800px) {
    .form-content{
        align-items: center;
        flex-direction: column-reverse;
    }
    .form .form-group{
        width: 100%;
    }
    .form-content img{
        max-width: 80%;
        max-height: 50vh;
    }
}

/**/
.section.service a{
    text-decoration: underline;
}
@media screen and (min-width: 3500px) {
    html{
        font-size: 1.5em;
    }
}